(set-param! resolution 20)        ; pixels/a

(define-param a 0.43)             ; units of um
(define-param r 0.12)             ; units of um
(define-param h 0.22)             ; units of um
(define-param w 0.50)             ; units of um

(set! r (/ r a))                  ; units of "a"
(set! h (/ h a))                  ; units of "a"
(set! w (/ w a))                  ; units of "a"

(define-param nSi 3.5)
(define Si (make medium (index nSi)))

(set! geometry-lattice (make lattice (size 1 4 4)))

(set! geometry (list (make block (center 0 0 0) (size infinity w h) (material Si))
		     (make cylinder (center 0 0 0) (radius r) (height infinity) (material air))))

(set! k-points (list (vector3 0 0 0)
		     (vector3 0.5 0 0)))

(define-param num-kpoints 20)
(set! k-points (interpolate num-kpoints k-points))

(set-param! num-bands 5)

(run-yodd-zeven)
